package services

import (
	"encoding/json"
	"fmt"
	"github.com/rdlucklib/rdluck_tools/http"
	"hongze/hongze_edb_lib/utils"
)

const (
	FuBaoQueryDataUrl     = "http://data.f139.com/cooperation/wande/queryData.do?pid=%s"
	FuBaoQueryLastDataUrl = "http://data.f139.com/cooperation/wande/queryLastData.do"
)

type FuBaoData struct {
	ReturnValue struct {
		Product struct {
			AlikeName    string `json:"alikeName"`
			DiffName     string `json:"diffName"`
			PropValueStr string `json:"propValueStr"`
			Pattern      string `json:"pattern"`
		} `json:"product"`
		Data []struct {
			PriceStr string `json:"priceStr"`
			Uad      string `json:"uad"`
			Datadate string `json:"datadate"`
		} `json:"data"`
	} `json:"returnValue"`
	Code int `json:"code"`
}

// GetEdbDataFromLt 获取路透数据
func GetEdbDataFromFuBao(edbCode, startDate, endDate string) (item *FuBaoData, err error) {
	sbUrl := fmt.Sprintf(FuBaoQueryDataUrl, edbCode)
	utils.FileLog.Info("sbUrl:%s", sbUrl)
	body, err := http.Get(sbUrl)
	utils.FileLog.Info("fubao result:%s", string(body))

	if err != nil {
		return
	}
	item = new(FuBaoData)
	err = json.Unmarshal(body, &item)
	return
}
